%define		php_name	php%{?php_suffix}
%define		modname		intl
%define		status		stable
Summary:	%{modname} - Internationalization extension
Summary(pl.UTF-8):	%{modname} - rozszerzenie internacjonalizacji
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.2
Release:	1
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	6e32eb19a8920c48f88571eb2e9d2213
Patch0:		zend_arg_info_static.patch
Patch1:		z_refcount.patch
URL:		http://pecl.php.net/package/intl/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	libicu-devel >= 3.4.0-1
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	re2c
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(intl)
Obsoletes:	php-pecl-idn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Internationalization extension implements ICU library functionality in
PHP.

Since 1.0.2 it also integrates IDN functions.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to posiada zaimplementowaną obsługę biblioteki ICU.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%if "%{php_major_version}.%{php_minor_version}" >= "5.3"
%patch0 -p1
%patch1 -p1
%endif

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc doc/* CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-intl.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> f967fc7
support building for multiple php versions

* Thu Mar 01 2012 Elan Ruusamäe <glen@pld-linux.org> ea83f71
- skip patches on 5.2

* Thu Mar 01 2012 Elan Ruusamäe <glen@pld-linux.org> 36fc650
- up to 1.1.2

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a6476f
- release 6

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d02f66e
- release 5

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c6f9f47
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a8263a1
- release 3

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 6e5de77
- fix build against php53; rel 2

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> dc252b3
- diff against 5.3.2

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> ca0fef7
- fix double static

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 7ff7249
- up to 1.1.1

* Mon May 17 2010 sparky <sparky@pld-linux.org> 28aea07
- BR: libstdc++-devel, pkgconfig, re2c

* Mon May 17 2010 Elan Ruusamäe <glen@pld-linux.org> 997604f
- release 2

* Mon May 17 2010 Elan Ruusamäe <glen@pld-linux.org> dec6cdf
- cleanup, note about idn functions
- provide intl virtual

* Tue Feb 09 2010 Adam Gołębiowski <adamg@pld-linux.org> 62cbf36
- new

* Tue Feb 09 2010 Adam Gołębiowski <adamg@pld-linux.org> b967747
- updated to 1.1.0

* Wed Oct 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 25695db
- rel 2: O: php-pecl-idn

* Wed Oct 28 2009 Adam Gołębiowski <adamg@pld-linux.org> 34b8c52
- updated to 1.0.3

* Tue Sep 22 2009 Elan Ruusamäe <glen@pld-linux.org> 6ffdbbc
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> de12647
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

